#topnav {
  position: fixed;
  right: 0;
  left: 0;
  top: 10px;
  z-index: 1030;
  background-color: transparent;
  border: 0;
  border-top: 0 solid rgba(245, 245, 245, 0.3);
  -webkit-transition: all .5s ease;
  transition: all .5s ease;
  min-height: 62px;
  font-family: Microsoft YaHei, tahoma, arial, Hiragino Sans GB, \\5b8b\4f53, sans-serif;
  z-index: 8888;
}

#topnav .menu-item-has-children.active a {
  color: #ffffff;
}

#topnav .menu-item-has-children.active .sub-menu li.active>a {
  color: #f6a821;
}

#topnav .navbar-toggle {
  border: 0;
  position: relative;
  width: 60px;
  height: 62px;
  padding: 0;
  margin: 0;
  cursor: pointer;
}

#topnav .navbar-toggle .lines {
  width: 25px;
  display: block;
  position: relative;
  margin: 24px auto;
  height: 18px;
}

#topnav .navbar-toggle span {
  height: 2px;
  width: 100%;
  background-color: #fff;
  display: block;
  margin-bottom: 5px;
  -webkit-transition: -webkit-transform .5s ease;
  transition: -webkit-transform .5s ease;
  transition: transform .5s ease, -webkit-transform .5s ease;
}

#topnav .navbar-toggle span:last-child {
  margin-bottom: 0;
}

#topnav .navbar-toggle.open span {
  position: absolute;
}

#topnav .navbar-toggle.open span:first-child {
  top: 6px;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

#topnav .navbar-toggle.open span:nth-child(2) {
  visibility: hidden;
}

#topnav .navbar-toggle.open span:last-child {
  width: 100%;
  top: 6px;
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

#topnav .navbar-toggle.open span:hover {
  background-color: #f6a821;
}

#topnav .navbar-toggle:hover,
#topnav .navbar-toggle:focus,
#topnav .navigation-menu>li>a:hover,
#topnav .navigation-menu>li>a:focus {
  background-color: transparent;
}

#topnav .navigation-menu {
  float: left;
  margin: 0;
  padding: 0;
}

#topnav .navigation-menu>li {
  float: left;
  display: block;
  position: relative;
}

#topnav .navigation-menu li {
  position: relative;
}

#topnav .navigation-menu>li>a {
  display: block;
  font-size: 11px;
  color: #fff;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-weight: 700;
  -webkit-transition: all .3s ease;
  transition: all .3s ease;
  line-height: 20px;
  padding: 25px 15px 25px 0;
}

#topnav .navigation-menu>li:hover a {
  color: #7a7d84;
}

#topnav .navigation-menu>li>.sub-menu {
  position: absolute;
  left: 0;
  top: 60px;
  display: none;
  list-style: none;
  z-index: 1000;
  min-width: 180px;
  padding: 0;
  transition: all .2s ease;
  background-color: #0c0c0c;
  box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.2);
}

#topnav .navigation-menu>li .sub-menu .sub-menu{
  position: absolute;
  left: 180px;
  top: 10px;
  display: none;
  list-style: none;
  z-index: 1000;
  min-width: 180px;
  padding: 0;
  transition: all .2s ease;
  color: #fff;
  background-color: #0c0c0c;
  box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.2);
}

#topnav .navigation-menu>li:hover>.sub-menu{
  display: block;
}

#topnav .navigation-menu>li .sub-menu li:hover .sub-menu{
  display: block;
}

#topnav .navigation-menu>li .sub-menu li a,
#topnav .navigation-menu>li .sub-menu li .sub-menu li a {
  display: block;
  padding: 10px 20px;
  clear: both;
  white-space: nowrap;
  font-size: 11px;
  text-transform: uppercase;
  letter-spacing: .04em;
  font-weight: 700;
  color: #fff;
  transform: translate3d(0, 0, 0);
  transition: all .3s;
}

#topnav .navigation-menu>li .sub-menu li:hover a,
#topnav .navigation-menu>li .sub-menu li .sub-menu li:hover a {
  padding-left: 30px;
  color: #7a7d84;
}

#topnav .navigation-menu>li .sub-menu li a i {
  margin-right: 10px;
  font-size: 14px;
}

#topnav .logo {
  float: left;
  line-height: 70px;
  -webkit-transition: all .3s ease;
  transition: all .3s ease;
}

#topnav .logo img {
  -webkit-transition: all .3s ease;
  transition: all .3s ease;
}

#topnav .logo .logo-light {
  display: inline-block;
}

#topnav .logo .logo-dark {
  display: none;
}

#topnav .menu-extras {
  float: right;
}

#topnav.scroll,
#topnav.scroll-active,
#topnav.dark-menubar {
  background-color: #ffffff;
  border: none;
  box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.2);
}

#topnav.scroll .navigation-menu>li>a,
#topnav.scroll-active .navigation-menu>li>a,
#topnav.dark-menubar .navigation-menu>li>a {
  color: #28282e;
}

#topnav.scroll .navigation-menu>li.active>a,
#topnav.scroll-active .navigation-menu>li.active>a,
#topnav.dark-menubar .navigation-menu>li.active>a {
  color: #f6a821;
}

#topnav.scroll .navigation-menu>li>a:hover,
#topnav.scroll-active .navigation-menu>li>a:hover,
#topnav.dark-menubar .navigation-menu>li>a:hover {
  color: #f6a821 !important;
}

#topnav.defaultscroll.dark-menubar .logo {
  line-height: 70px;
}

#topnav.defaultscroll.scroll .logo {
  line-height: 62px;
}

#topnav.defaultscroll.scroll.dark-menubar .logo {
  line-height: 62px;
}

#topnav.scroll .logo .logo-light,
#topnav.scroll-active .logo .logo-light,
#topnav.dark-menubar .logo .logo-light {
  display: none;
}

#topnav.scroll .logo .logo-dark,
#topnav.scroll-active .logo .logo-dark,
#topnav.dark-menubar .logo .logo-dark {
  display: inline-block;
}

/** 
 *  打开状态下的菜单 
*/
.info-in #topnav {
  width: 28%;
  top: 30px;
}

.info-in #topnav .navigation-menu {
  width: 100%;
}

.info-in #topnav .navigation-menu > li:hover > ul {
  display: block;
}

.info-in #topnav .navigation-menu>li>a {
  padding-top: 0;
  min-height: 20px;
}
.info-in #topnav .navigation-menu>li>a {
  color: #7a7d84;
}

.info-in #topnav .navigation-menu>li:hover>a {
  color: #fff;
}
.info-in #topnav .navigation-menu>li>a {
  padding-left: 0;
  text-align: center;
  color: #7a7d84;
}

.info-in #topnav .navigation {
  display: none;
  position: absolute;
  z-index: 1000;
  padding: 10px 0;
  list-style: none;
  min-width: 140px;
  top: 40px;
  visibility: hidden;
  color: #7a7d84;
  margin-top: 10px;
  -webkit-transition: all .2s ease;
  transition: all .2s ease;
  background-color: #1c1c20;
  box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.2);
}

.info-in #topnav .navigation.open {
  display: block;
  visibility: inherit;
}

.info-in #topnav .navigation .sub-menu {
  position: absolute;
  bottom: inherit;
  top: 0;
  left: 140px;
  z-index: 1000;
  padding: 10px 0;
  list-style: none;
  min-width: 180px;
  margin-top: 10px;
  -webkit-transition: all .2s;
  transition: all .2s;
  background-color: #1c1c20;
  box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.2);
}

.info-in #topnav .navigation-menu>li {
  float: none;
}

.info-in #topnav .menu-extras {
  float: left;
}

.info-in #topnav .navbar-toggle {
  display: block;
}

/* 适配缩小的部分 */
@media (min-width: 769px) and (max-width: 1600px) {
  #topnav {
    width: 28%;
    top: 30px;
  }
  #topnav .menu-extras {
    position: relative;
  }
  #topnav .menu-extras::before {
    content: '目录';
    position: absolute;
    right: -20px;
    top: 18px;
  }

  #topnav .navigation-menu {
    width: 100%;
  }

  #topnav .navigation-menu>li:hover ul {
    display: block;
  }

  #topnav .navigation-menu>li>a {
    padding-top: 0;
    min-height: 20px;
  }

  #topnav .navigation-menu>li>a {
    padding-left: 0;
    text-align: center;
  }

  #topnav .navigation {
    display: none;
    position: absolute;
    z-index: 1000;
    padding: 10px 0;
    list-style: none;
    min-width: 140px;
    top: 40px;
    visibility: hidden;
    margin-top: 10px;
    -webkit-transition: all .2s ease;
    transition: all .2s ease;
    background-color: #1c1c20;
    box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.2);
  }

  #topnav .navigation.open {
    display: block;
    visibility: inherit;
  }

  #topnav .navigation .sub-menu {
    position: absolute;
    bottom: inherit;
    top: 0;
    left: 140px;
    z-index: 1000;
    padding: 10px 0;
    list-style: none;
    min-width: 180px;
    margin-top: 10px;
    -webkit-transition: all .2s;
    transition: all .2s;
    background-color: #1c1c20;
    box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.2);
  }

  #topnav .navigation-menu>li .sub-menu {
    left: 140px;
    top: -10px;
  }

  #topnav .navigation-menu>li {
    float: none;
  }

  #topnav .menu-extras {
    float: left;
  }

  #topnav .navbar-toggle {
    display: block;
  }
}

/* 手机端 */
@media (max-width: 768px) {
  header .container-fluid {
    padding-left: 0;
    padding-right: 0;
  }
  #topnav {
    /* position: relative; */
    top: 0;
    left: 0;
    width: 100% !important;
    background-color: rgba(0, 0, 0, 0.6);
  }

  .info-in #topnav {
    top: 0;
  }

  #topnav .navigation-menu {
    width: 100%;
  }

  #topnav .navigation-menu>li:hover ul {
    display: block;
  }

  #topnav .navigation-menu>li>a {
    padding-top: 0;
    min-height: 20px;
    padding-left: 0;
    font-size: 20px;
    text-align: center;
  }

  #topnav .navigation {
    display: none;
    width: 100%;
    padding: 0;
    /* position: absolute; */
    z-index: 1000;
    list-style: none;
    min-width: 140px;
    top: 40px;
    visibility: hidden;
    margin-top: 10px;
    -webkit-transition: all .2s ease;
    transition: all .2s ease;
    background-color: #1c1c20;
    box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.2);
  }

  #topnav .navigation.open {
    display: block;
    visibility: inherit;
  }

  #topnav .navigation .sub-menu {
    /* position: absolute; */
    bottom: inherit;
    top: 0;
    left: 140px;
    z-index: 1000;
    padding: 10px 0;
    list-style: none;
    min-width: 180px;
    margin-top: 10px;
    -webkit-transition: all .2s;
    transition: all .2s;
    background-color: #1c1c20;
    box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.2);
  }

  #topnav .navigation-menu>li {
    float: none;
  }

  #topnav .menu-extras {
    float: left;
  }

  #topnav .navbar-toggle,
  .info-in #topnav .navbar-toggle{
    display: block;
  }
  #topnav .navigation-menu>li .sub-menu,
  .info-in .navigation-menu>li .sub-menu {
    position: relative;
    top: 0;
  }
  #topnav .navigation-menu>li .sub-menu li .sub-menu,
  .info-in #topnav .navigation-menu>li .sub-menu li .sub-menu {
    position: relative;
    top: 0;
  }
  .info-in #topnav .navigation .sub-menu {
    position: relative;
    left: 0;
  }
  #topnav .navigation-menu>li .sub-menu .sub-menu {
    left: 0;
  }
}